post
https://api.7digital.com/1.2/catalogue/log
Report a track that has been streamed to a user who was listening in a radio style playback.
It is recommended to log streams in near real time, or the same day in batch. Before logging actual user data, your Client Success manager will support you through Compliance Testing to ensure logging accuracy and usage of the appropriate endpoint.

Example request
POST https://api.7digital.com/1.2/catalogue/log?country=EE&userId=141732543&oauth_consumer_key=YOUR_KEY_HERE&...Multiple plays can be batched by user into a single POST to this endpoint, and the body can be sent in either JSON or XML formats. Streams that are requested as part of pre-fetching functionality, but never played on the device, should still be logged with a zero second play time.
{
"playLogItem": [
{
"endReason": "naturalEnd",
"userId": "141732543",
"userAgent": "Device",
"totalTimePlayed": "12",
"dateTimePlayed": "2016-12-19T11:39:28.8981203Z",
"formatId": "33",
"releaseId": "64705",
"trackId": "673059"
}
]
}Example Response
{
"status": "ok",
"version": "1.2",
"playLogs": {
"count": 1
}
}Specific Error Codes
- 1002 - DateTimePlayed is not within the two month window. Streams must be logged with a date less than 61 days in the past, and cannot be logged before they have happened (ie. DateTimePlayed in the future).

